'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _sourceMapSupport2 = require('source-map-support');

var _ConfigParser = require('./lib/ConfigParser');

var _ConfigParser2 = _interopRequireDefault(_ConfigParser);

var _utils = require('./utils');

var _shim = require('./shim');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _sourceMapSupport2.install)();
exports.default = {
    validateConfig: _utils.validateConfig,
    detectBackend: _utils.detectBackend,
    initialisePlugin: _utils.initialisePlugin,
    ConfigParser: _ConfigParser2.default,

    /**
     * wdio-sync shim
     */
    wrapCommand: _shim.wrapCommand,
    runFnInFiberContext: _shim.runFnInFiberContext,
    runTestInFiberContext: _shim.runTestInFiberContext,
    executeHooksWithArgs: _shim.executeHooksWithArgs,
    hasWdioSyncSupport: _shim.hasWdioSyncSupport
};
module.exports = exports['default'];